Create usage stats for WDQS LDF endpoint
Closed, ResolvedPublic4 Story Points

Description

We've recently created new endpoint for WDQS - http://query.wikidata.org/bigdata/ldf (details are in T136358). We would like to see access stats for it on http://discovery.wmflabs.org/wdqs/. Please note that is separate API from query API, which is supposed to be accessed much more frequently, so access to /bigdata/ldf should not be counted in query/homepage visits, but should be counted as separate thing.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 22 2016, 5:43 AM
debt triaged this task as "Normal" priority.Jan 3 2017, 9:24 PM

Change 325870 had a related patch set uploaded (by Bearloga):
Migrate to Reportupdater framework

https://gerrit.wikimedia.org/r/325870

mpopov claimed this task.Jan 18 2017, 11:17 PM
mpopov set the point value for this task to 4.

Change 335579 had a related patch set uploaded (by Bearloga):
Point to new datasets and add LDF

https://gerrit.wikimedia.org/r/335579

Change 335579 merged by Bearloga:
Point to new datasets and add LDF

https://gerrit.wikimedia.org/r/335579

Looks good to me on beta!

debt awarded a token.Feb 8 2017, 4:29 PM

Change 325870 merged by Bearloga:
[wikimedia/discovery/golden] Migrate to Reportupdater framework

https://gerrit.wikimedia.org/r/325870

Deployed to production: http://discovery.wmflabs.org/wdqs/#endpoint_usage

Note to self: need to fix the annotation on LDF graph because the two annotations for 2017-01-01 overlap. Whoops! Will change that separately. This ticket is done :)

debt closed this task as "Resolved".Thu, Mar 16, 12:41 PM